function changeLanguage(language) {
    const labels = document.body.querySelectorAll("div.lang");
    for (const label of labels) {
        if (label.lang === language) {
            label.style.display = "block"
        } else {
            label.style.display = "none"
        }
    }
    const rows = document.body.querySelectorAll("tr.lang");
    for (const row of rows) {
        if (row.lang === language) {
            row.style.display = "table-row"
        } else {
            row.style.display = "none"
        }
    }
}
function openSidebar(id) {
    // open sidebar itself
    document.body.querySelector("#sidebar").style.width = "25vw";
    document.body.querySelector("#sidebar").style.display = "block";

    // only show appropriate sections
    const sections = document.body.querySelectorAll("div.sidebarSection");
    for (const section of sections) {
        if (section.id === id) {
            section.style.display = "block"
        } else {
            section.style.display = "none"
        }
    }
}

function openSidebar2(id) {
    // open sidebar itself
    document.body.querySelector("#sidebar").style.width = "25vw";
    document.body.querySelector("#sidebar").style.display = "block";

    const argumentsArray = Array.prototype.slice.apply(arguments);

    // only show appropriate sections
    const sections = document.body.querySelectorAll("div.sidebarSection2");
    for (const section of sections) {

        if (argumentsArray.includes(section.id)) {
            section.style.display = "block"
        } else {
            section.style.display = "none"
        }
    }
}


function closeNav() {
    document.body.querySelector("#sidebar").style.display = "none";
}
